﻿#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.Windows.Shared;

namespace DataPagingDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        public MainWindow()
        {
            InitializeComponent();
            this.Loaded += MainWindow_Loaded;
        }
        private void MainWindow_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
            for (var tabIndex = MainTabControl.Items.Count - 1; tabIndex >= 0; tabIndex--)
            {
                MainTabControl.SelectedIndex = tabIndex;
                MainTabControl.UpdateLayout();
            }
            sfDataPager.PageSize = (int)(dataGrid.ActualHeight / dataGrid.RowHeight) - 1;
            sfDataPager1.PageSize = (int)(dataGrid1.ActualHeight / dataGrid1.RowHeight) - 1;
            sfDataPager.MoveToFirstPage();
            sfDataPager1.MoveToFirstPage();
        }
    }
}
